<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li class="current"><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_~.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_~"></a>- ~ -</h3><ul>
<li>~AfroBldc()
: <a class="el" href="classframework_1_1actuator_1_1_afro_bldc.html#a2dbaba6386db832b9fc76700f14673cc">framework::actuator::AfroBldc</a>
</li>
<li>~Ahrs()
: <a class="el" href="classframework_1_1filter_1_1_ahrs.html#a612a8b455de26e6b58f443aecf43e358">framework::filter::Ahrs</a>
</li>
<li>~AhrsComplementaryFilter()
: <a class="el" href="classframework_1_1filter_1_1_ahrs_complementary_filter.html#af97f70a3973bb18232cecd8b0fee3ee7">framework::filter::AhrsComplementaryFilter</a>
</li>
<li>~AhrsData()
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a3d4f6da5be75f1bf1983f1d4ec44bc55">framework::core::AhrsData</a>
</li>
<li>~AhrsKalman()
: <a class="el" href="classframework_1_1filter_1_1_ahrs_kalman.html#a498062fd14508e4757323a6bad5acdc0">framework::filter::AhrsKalman</a>
</li>
<li>~BatteryMonitor()
: <a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html#a09e6ceffaa1f36a5c5440b0d48c9766d">framework::sensor::BatteryMonitor</a>
</li>
<li>~BlCtrlV2()
: <a class="el" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a8f16953c0bef53afe157b49b2115ef3b">framework::actuator::BlCtrlV2</a>
</li>
<li>~Bldc()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#ae69b362d1840052e17830a67ec44afa1">framework::actuator::Bldc</a>
</li>
<li>~Box()
: <a class="el" href="classframework_1_1gui_1_1_box.html#adb17a8110317f2baa94af603af3cc285">framework::gui::Box</a>
</li>
<li>~ButterworthLowPass()
: <a class="el" href="classframework_1_1filter_1_1_butterworth_low_pass.html#a07e775576c8a7d8a781ea7db45d3d4b2">framework::filter::ButterworthLowPass</a>
</li>
<li>~Camera()
: <a class="el" href="classframework_1_1sensor_1_1_camera.html#aebf6ed5511ce38e5742ed4f50b88ab3e">framework::sensor::Camera</a>
</li>
<li>~CheckBox()
: <a class="el" href="classframework_1_1gui_1_1_check_box.html#ae7105e9b39e4731a5f999827cb40fb54">framework::gui::CheckBox</a>
</li>
<li>~ComboBox()
: <a class="el" href="classframework_1_1gui_1_1_combo_box.html#ab063db264d54ea489572e1243c516acc">framework::gui::ComboBox</a>
</li>
<li>~ConditionVariable()
: <a class="el" href="classframework_1_1core_1_1_condition_variable.html#afd2fe1bb838a4b7c3256bfcab5e0edcd">framework::core::ConditionVariable</a>
</li>
<li>~ConnectedSocket()
: <a class="el" href="classframework_1_1core_1_1_connected_socket.html#ad52887143da4083218371e8279f20512">framework::core::ConnectedSocket</a>
</li>
<li>~ControlLaw()
: <a class="el" href="classframework_1_1filter_1_1_control_law.html#a29d8822ec0b46aa5f8295f5aa97c6036">framework::filter::ControlLaw</a>
</li>
<li>~cvimage()
: <a class="el" href="classframework_1_1core_1_1cvimage.html#ad702529a508b1f67bbff58e8e99e2f2c">framework::core::cvimage</a>
</li>
<li>~cvmatrix()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a15496182b07f60d8dee6ebbf273454fa">framework::core::cvmatrix</a>
</li>
<li>~cvmatrix_descriptor()
: <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#ac27929158efc59cbf1d674ae87ab0167">framework::core::cvmatrix_descriptor</a>
</li>
<li>~CvtColor()
: <a class="el" href="classframework_1_1filter_1_1_cvt_color.html#abd63fec1b84d36c580db7b0a682daecd">framework::filter::CvtColor</a>
</li>
<li>~DataPlot()
: <a class="el" href="classframework_1_1gui_1_1_data_plot.html#a4f66d787b74b780d1c11460f0c7a888f">framework::gui::DataPlot</a>
</li>
<li>~DataPlot1D()
: <a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html#aecb3f0ecb49ddabd0fc9d6cff2a43d23">framework::gui::DataPlot1D</a>
</li>
<li>~DataPlot2D()
: <a class="el" href="classframework_1_1gui_1_1_data_plot2_d.html#a01e4b6b120f2f172a5182fe7cec9c445">framework::gui::DataPlot2D</a>
</li>
<li>~DoubleSpinBox()
: <a class="el" href="classframework_1_1gui_1_1_double_spin_box.html#aeeccbc8cde56c749baa21b7ad472115e">framework::gui::DoubleSpinBox</a>
</li>
<li>~Euler()
: <a class="el" href="classframework_1_1core_1_1_euler.html#af989d2e25ef2561ecdee62a6f3094815">framework::core::Euler</a>
</li>
<li>~EulerDerivative()
: <a class="el" href="classframework_1_1filter_1_1_euler_derivative.html#a0491586dc39293fc06a45d6ea9847a8d">framework::filter::EulerDerivative</a>
</li>
<li>~FrameworkManager()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#aa450d1de1dfd800a375793f516778dc0">framework::core::FrameworkManager</a>
</li>
<li>~GeoCoordinate()
: <a class="el" href="classframework_1_1core_1_1_geo_coordinate.html#ad5c8bedb43f17d2b05be9bd4d8b3367a">framework::core::GeoCoordinate</a>
</li>
<li>~Gps()
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a99868101e26a88375c576254d12bbdda">framework::sensor::Gps</a>
</li>
<li>~GridLayout()
: <a class="el" href="classframework_1_1gui_1_1_grid_layout.html#af848d84c42b7a59bf2ca41fd3c982153">framework::gui::GridLayout</a>
</li>
<li>~GroupBox()
: <a class="el" href="classframework_1_1gui_1_1_group_box.html#aee53cd8b4af6a8aec6f1c33ac4a05475">framework::gui::GroupBox</a>
</li>
<li>~Gx3_25_ahrs()
: <a class="el" href="classframework_1_1filter_1_1_gx3__25__ahrs.html#a4be17d06d801cc33df27e312925dcda5">framework::filter::Gx3_25_ahrs</a>
</li>
<li>~Gx3_25_imu()
: <a class="el" href="classframework_1_1sensor_1_1_gx3__25__imu.html#a9b548c12768242c5ee58d0b5585f8b63">framework::sensor::Gx3_25_imu</a>
</li>
<li>~HokuyoUTM30Lx()
: <a class="el" href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a75a7d91aeab41ceded9bfe42c42d3769">framework::sensor::HokuyoUTM30Lx</a>
</li>
<li>~HoughLines()
: <a class="el" href="classframework_1_1filter_1_1_hough_lines.html#a37385077c583d5bf9aba644d5c667512">framework::filter::HoughLines</a>
</li>
<li>~I2cPort()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#abcb3da86655934776367d302384ad812">framework::core::I2cPort</a>
</li>
<li>~ImgThreshold()
: <a class="el" href="classframework_1_1filter_1_1_img_threshold.html#ab18db65e7f2010e77e8294494cbbe8e1">framework::filter::ImgThreshold</a>
</li>
<li>~Imu()
: <a class="el" href="classframework_1_1sensor_1_1_imu.html#a2aa42533ce070098dd5734abd92c8296">framework::sensor::Imu</a>
</li>
<li>~ImuData()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#ae8ec0cd1606d05b577c36f2203bf9421">framework::core::ImuData</a>
</li>
<li>~io_data()
: <a class="el" href="classframework_1_1core_1_1io__data.html#aa08b00b8f76a7bb14d7498e8e34649a2">framework::core::io_data</a>
</li>
<li>~IODevice()
: <a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">framework::core::IODevice</a>
</li>
<li>~JoyReference()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#ae5db72ea69cfaad196c354c18706bd64">framework::filter::JoyReference</a>
</li>
<li>~Label()
: <a class="el" href="classframework_1_1gui_1_1_label.html#a7cee632381ff478a0d4e041d4f868d50">framework::gui::Label</a>
</li>
<li>~LaserRangeFinder()
: <a class="el" href="classframework_1_1sensor_1_1_laser_range_finder.html#ae9b663bb458afc7f29531fa36d62d602">framework::sensor::LaserRangeFinder</a>
</li>
<li>~Layout()
: <a class="el" href="classframework_1_1gui_1_1_layout.html#a3df6ba7031ad662f207aacf759f144ad">framework::gui::Layout</a>
</li>
<li>~LayoutPosition()
: <a class="el" href="classframework_1_1gui_1_1_layout_position.html#a3b98bbdc87c03f46b849b2e888d07ee3">framework::gui::LayoutPosition</a>
</li>
<li>~LowPassFilter()
: <a class="el" href="classframework_1_1filter_1_1_low_pass_filter.html#a8f441ec5993d2333932a348df78ff90c">framework::filter::LowPassFilter</a>
</li>
<li>~Map()
: <a class="el" href="classframework_1_1gui_1_1_map.html#a94eb4962b5ee775457dffef65f4369df">framework::gui::Map</a>
</li>
<li>~Mb800()
: <a class="el" href="classframework_1_1sensor_1_1_mb800.html#a90a83fffa1cea037f3234a1c7daadbd7">framework::sensor::Mb800</a>
</li>
<li>~Mutex()
: <a class="el" href="classframework_1_1core_1_1_mutex.html#a3a67ec45af9ba25a8a885d8473c9ae65">framework::core::Mutex</a>
</li>
<li>~NestedSat()
: <a class="el" href="classframework_1_1filter_1_1_nested_sat.html#a24e7d4cee27a325f0063c1b1ca3cf4f3">framework::filter::NestedSat</a>
</li>
<li>~Novatel()
: <a class="el" href="classframework_1_1sensor_1_1_novatel.html#ae9b1cd95cfae3b47f0c4724be7871fd4">framework::sensor::Novatel</a>
</li>
<li>~Object()
: <a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">framework::core::Object</a>
</li>
<li>~OneAxisRotation()
: <a class="el" href="classframework_1_1core_1_1_one_axis_rotation.html#a2a751eb8b12f98b41ecceb10dcc30b56">framework::core::OneAxisRotation</a>
</li>
<li>~OpticalFlow()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow.html#a0ee5eb8b3c08a644e455973e01c5c554">framework::filter::OpticalFlow</a>
</li>
<li>~OpticalFlowData()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#af48c6b4c7054017216fb96a84a690d0e">framework::filter::OpticalFlowData</a>
</li>
<li>~OpticalFlowSpeed()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_speed.html#a09a1073c45d1266d210532b156562e0c">framework::filter::OpticalFlowSpeed</a>
</li>
<li>~ParrotBatteryMonitor()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_battery_monitor.html#af098bda85cd0eeee2d60d1b3b1b080d4">framework::sensor::ParrotBatteryMonitor</a>
</li>
<li>~ParrotBldc()
: <a class="el" href="classframework_1_1actuator_1_1_parrot_bldc.html#a2bd3e7563823b83a43bf08e1af98b773">framework::actuator::ParrotBldc</a>
</li>
<li>~ParrotCamH()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_cam_h.html#a734602963a141017e9c6e09fa511f15d">framework::sensor::ParrotCamH</a>
</li>
<li>~ParrotCamV()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_cam_v.html#a98703434d7d406077d37ea9f5321e968">framework::sensor::ParrotCamV</a>
</li>
<li>~ParrotGps()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_gps.html#aedda807a675fc9c0034412d96eaa9cf8">framework::sensor::ParrotGps</a>
</li>
<li>~ParrotNavBoard()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_nav_board.html#aead0fef1a9a6304ae48149fe12a161e2">framework::sensor::ParrotNavBoard</a>
</li>
<li>~Picture()
: <a class="el" href="classframework_1_1gui_1_1_picture.html#a6a702e8add4795e85595dc043aa2d0d5">framework::gui::Picture</a>
</li>
<li>~Pid()
: <a class="el" href="classframework_1_1filter_1_1_pid.html#a3b896e42db3a07de931dd0e355d5d913">framework::filter::Pid</a>
</li>
<li>~PidThrust()
: <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#a6541c62210e9980d66b0548cf3d8490b">framework::filter::PidThrust</a>
</li>
<li>~Ps3Eye()
: <a class="el" href="classframework_1_1sensor_1_1_ps3_eye.html#aa649fe0397f4079f18299f9d5ff30c62">framework::sensor::Ps3Eye</a>
</li>
<li>~PushButton()
: <a class="el" href="classframework_1_1gui_1_1_push_button.html#a6837e61a95a853b1ce88e175754cab91">framework::gui::PushButton</a>
</li>
<li>~Quaternion()
: <a class="el" href="classframework_1_1core_1_1_quaternion.html#ad8d1965a6222c840daae5536f2503a67">framework::core::Quaternion</a>
</li>
<li>~RadioReceiver()
: <a class="el" href="classframework_1_1sensor_1_1_radio_receiver.html#ae334e8b1ff7e0c44bcc93d8275d07fc6">framework::sensor::RadioReceiver</a>
</li>
<li>~RangeFinderPlot()
: <a class="el" href="classframework_1_1gui_1_1_range_finder_plot.html#a48dd3cf3e993a41061feeddd7fd8fb6e">framework::gui::RangeFinderPlot</a>
</li>
<li>~RotationMatrix()
: <a class="el" href="classframework_1_1core_1_1_rotation_matrix.html#af565fa989556c0ad6bdf9a8b379763a4">framework::core::RotationMatrix</a>
</li>
<li>~RTDM_I2cPort()
: <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a200fe16eed6ae1c14f3bb2329d13b496">framework::core::RTDM_I2cPort</a>
</li>
<li>~RTDM_SerialPort()
: <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#a451c12c91f6022e3f82963feaccaab80">framework::core::RTDM_SerialPort</a>
</li>
<li>~SendData()
: <a class="el" href="classframework_1_1gui_1_1_send_data.html#a4ad3437118d864ef8118f4a2b6cbb092">framework::gui::SendData</a>
</li>
<li>~SerialPort()
: <a class="el" href="classframework_1_1core_1_1_serial_port.html#acc2ac814939e0e63fbd9dd57d3d32d47">framework::core::SerialPort</a>
</li>
<li>~SharedMem()
: <a class="el" href="classframework_1_1core_1_1_shared_mem.html#a973d796cd5fa6f61cc5dc55445b8d021">framework::core::SharedMem</a>
</li>
<li>~SimuAhrs()
: <a class="el" href="classframework_1_1filter_1_1_simu_ahrs.html#a33d24283ae90a6eb73c373b868d5ead1">framework::filter::SimuAhrs</a>
</li>
<li>~SimuBldc()
: <a class="el" href="classframework_1_1actuator_1_1_simu_bldc.html#aaae9d47b4e1f90e7b6e3e0cfba2b4747">framework::actuator::SimuBldc</a>
</li>
<li>~SimuCamera()
: <a class="el" href="classframework_1_1sensor_1_1_simu_camera.html#a4351e3a856c9f263ee3a0ac7faf0e099">framework::sensor::SimuCamera</a>
</li>
<li>~SimuGps()
: <a class="el" href="classframework_1_1sensor_1_1_simu_gps.html#a73a3c23dca168ec582f74722c2d0e4a3">framework::sensor::SimuGps</a>
</li>
<li>~SimuImu()
: <a class="el" href="classframework_1_1sensor_1_1_simu_imu.html#a76aa86639a0c43cbb5323f3272b9c4cb">framework::sensor::SimuImu</a>
</li>
<li>~SimuLaser()
: <a class="el" href="classframework_1_1sensor_1_1_simu_laser.html#abc1b6c60783d4a76bcd5f8e6910ed043">framework::sensor::SimuLaser</a>
</li>
<li>~SimuUs()
: <a class="el" href="classframework_1_1sensor_1_1_simu_us.html#a9dc2e8e8dd13c8b0728385d6c8e44c0c">framework::sensor::SimuUs</a>
</li>
<li>~Sobel()
: <a class="el" href="classframework_1_1filter_1_1_sobel.html#a241040558ef23dd5111e24a9cc30a526">framework::filter::Sobel</a>
</li>
<li>~Socket()
: <a class="el" href="classframework_1_1core_1_1_socket.html#a70089bda092e48d729cc4afe0e5c1668">framework::core::Socket</a>
</li>
<li>~SpinBox()
: <a class="el" href="classframework_1_1gui_1_1_spin_box.html#a42c269c7551044762af3038951995e83">framework::gui::SpinBox</a>
</li>
<li>~Srf08()
: <a class="el" href="classframework_1_1sensor_1_1_srf08.html#a497d08326a1070efd3c95f01cad6f263">framework::sensor::Srf08</a>
</li>
<li>~Tab()
: <a class="el" href="classframework_1_1gui_1_1_tab.html#adfb2d8ec71a385ad886d330c043b7f48">framework::gui::Tab</a>
</li>
<li>~TabWidget()
: <a class="el" href="classframework_1_1gui_1_1_tab_widget.html#abe592a35b9e4de8e7439c8f79652484b">framework::gui::TabWidget</a>
</li>
<li>~TextEdit()
: <a class="el" href="classframework_1_1gui_1_1_text_edit.html#ae191a6468230fe84c2f7c1616bbab58f">framework::gui::TextEdit</a>
</li>
<li>~Thread()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a27a72866b343b8734fd4427515d1e38f">framework::core::Thread</a>
</li>
<li>~TrajectoryGenerator1D()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ab009678cc37138a00957bc6e3e82fea5">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>~TrajectoryGenerator2DCircle()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a8d7b9503d7047f8194cc719aed6a16d0">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>~UavMultiplex()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#ab9df118cb91b88db66f05d6f3d520d90">framework::filter::UavMultiplex</a>
</li>
<li>~Unix_I2cPort()
: <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a93a1dbca6cfac155abd91ef0912021c2">framework::core::Unix_I2cPort</a>
</li>
<li>~Unix_SerialPort()
: <a class="el" href="classframework_1_1core_1_1_unix___serial_port.html#a2bf2201777abcbb2fb9472e0d68cdd87">framework::core::Unix_SerialPort</a>
</li>
<li>~UsRangeFinder()
: <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#aa1954dd93e385038b6788be31ac11ce9">framework::sensor::UsRangeFinder</a>
</li>
<li>~V4LCamera()
: <a class="el" href="classframework_1_1sensor_1_1_v4_l_camera.html#a43e5f0f48acf2e8da0350a8ac4d44613">framework::sensor::V4LCamera</a>
</li>
<li>~Vector2D()
: <a class="el" href="classframework_1_1core_1_1_vector2_d.html#a1c7ab954acc50a0bf3007b5043d7ff79">framework::core::Vector2D</a>
</li>
<li>~Vector3D()
: <a class="el" href="classframework_1_1core_1_1_vector3_d.html#af14f36cbaf16bcef2642119d820a60b4">framework::core::Vector3D</a>
</li>
<li>~Vector3Ddata()
: <a class="el" href="classframework_1_1core_1_1_vector3_ddata.html#accb3b9a23e8b09bf2983e9af647a7801">framework::core::Vector3Ddata</a>
</li>
<li>~Vector3DSpinBox()
: <a class="el" href="classframework_1_1gui_1_1_vector3_d_spin_box.html#a88029ec844e4ebfab9b956731eeeeba7">framework::gui::Vector3DSpinBox</a>
</li>
<li>~VrpnClient()
: <a class="el" href="classframework_1_1sensor_1_1_vrpn_client.html#a76dfbaab2a8f7c977762a7f4a6e4f130">framework::sensor::VrpnClient</a>
</li>
<li>~VrpnObject()
: <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#a6acf8f1e294bfd00c15ffc2966001b66">framework::sensor::VrpnObject</a>
</li>
<li>~Widget()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#a5828f9d29972aa861dc4a4fe21997499">framework::gui::Widget</a>
</li>
<li>~X4X8Multiplex()
: <a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a5901f6318bdeb6a687b98915e8ec1171">framework::filter::X4X8Multiplex</a>
</li>
<li>~XBldc()
: <a class="el" href="classframework_1_1actuator_1_1_x_bldc.html#aa8e8565d9200adb5e060e1d8e8784c01">framework::actuator::XBldc</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
